{% extends "base.html" %} {% load static %} {% block title %}Créer un compte{%endblock%}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static '../static/css/login.css' %}"
/>
{% endblock %}

<div class="page-container">
{% block content %}

{% if form.errors %}
      {% for field in form %}
        {% for error in field.errors %}
          <div class="alert alert-danger">
            <strong>{{ field.label }}: {{ error|escape }}</strong>
          </div>
        {% endfor %}
      {% endfor %}
    {% endif %}
    {% if form.non_field_errors %}
      {% for error in form.non_field_errors %}
        <div class="alert alert-danger ms-1">
          <strong>{{ error|escape }}</strong>
        </div>
      {% endfor %}
    {% endif %}

    <div class="register-form-container">
        <form method="POST" class="register-form">

            {% csrf_token %}
            <h2>Création de compte</h2>

                <label for="username">Nom d'utilisateur :</label>
                <input
                type="text"
                id="username"
                name="username"
                placeholder="Entrez votre nom d'utilisateur"
                required
                />

                <label for="email">Adresse e-mail :</label>
                <input
                type="email"
                id="email"
                name="email"
                placeholder="Entrez votre adresse e-mail"
                required
                />

                <label for="password1">Mot de passe :</label>
                <input
                type="password"
                id="password1"
                name="password1"
                placeholder="Entrez votre mot de passe"
                required
                />
                <small id="passwordHelp">
                  Votre mot de passe doit contenir au moins 12 caractères, incluant au moins une lettre, un chiffre et un caratère spécial.
                </small>

                <label for="password2">Confirmer votre Mot de passe :</label>
                <input
                type="password"
                id="password2"
                name="password2"
                placeholder="Confirmer votre mot de passe"
                required
                />

                <button type="submit" value="Créer un compte" id="bouton-form-valider">Créer un compte</button>
        </form>
    </div>

    <div>
        <h4>Vous avez un compte ? cliquez ici : <span><a href="/accounts/login">Se connecter</a></span></h4>
    </div>

    {% endblock %}

</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
  $(document).ready( () => {
    $("#password1").on("input", () => {
      let password = $(this).val();

      // Logique pour vérifier la force du mot de passe et mettre à jour les instructions
      let strength = "Faible";
      if(password.length >= 12) {
        strength = "Moyen";
      }

      if(/\d/.test(password) && /[a-zA-Z]/.test(password) && /.*[!:;,?.§*%µ$£<>^¨'#~()_`+={}°@"'&€]/.test(password)) {
        strength = "Fort";
      }

      $("#passwordHelp").text("Force du mot de passe : " + strength);
    })
  })
</script>